> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/use-cases/extraction-models/resume.md).

# Resume

Documentation for the data schema of the Bill of Lading model template.

## Resume Fields

Documentation for all fields present in the data schema.

Field *accessors* are used as the keys for accessing the values in the returned data. On the data schema interface, this is the "Field Name".

Field *value types* indicate how the value is returned by the API. On the data schema interface, this is the "Field Type".

<details>

<summary>Name</summary>

The full name of the resume owner

Accessor: `name`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Address</summary>

The address of the resume owner

Accessor: `address`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Phone Number</summary>

The phone number of the resume owner

Accessor: `phone_number`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Email</summary>

The email address of the resume owner

Accessor: `email`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>LinkedIn Profile</summary>

The LinkedIn profile URL of the resume owner

Accessor: `linkedin_profile`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Education</summary>

List of educational experiences

Accessor: `education`

**Subfields**

* **School Name**\
  The name of the school\
  Accessor: `school_name`\
  Value Type: `string`
* **Degree**\
  The degree obtained\
  Accessor: `degree`\
  Value Type: `string`
* **Dates Attended**\
  The dates the person attended the school\
  Accessor: `dates_attended`\
  Value Type: `string`
* **GPA**\
  The GPA obtained\
  Accessor: `gpa`\
  Value Type: `number`
* **Relevant Coursework**\
  Relevant coursework taken\
  Accessor: `relevant_coursework`\
  Value Type: `string`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Experience</summary>

List of work experiences

Accessor: `experience`

**Subfields**

* **Company Name**\
  The name of the company\
  Accessor: `company_name`\
  Value Type: `string`
* **Job Title**\
  The job title held\
  Accessor: `job_title`\
  Value Type: `string`
* **Dates Employed**\
  The dates the person was employed\
  Accessor: `dates_employed`\
  Value Type: `string`
* **Responsibilities**\
  List of responsibilities\
  Accessor: `responsibilities`\
  Value Type: `string`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Skills</summary>

List of skills

Accessor: `skills`\
Value Type: `string`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Languages</summary>

List of languages and proficiency

Accessor: `languages`

**Subfields**

* **Language**\
  The language\
  Accessor: `language`\
  Value Type: `string`
* **Proficiency**\
  The proficiency level\
  Accessor: `proficiency`\
  Value Type: `string`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Projects</summary>

List of projects

Accessor: `projects`

**Subfields**

* **Project Name**\
  The name of the project\
  Accessor: `project_name`\
  Value Type: `string`
* **Description**\
  The description of the project\
  Accessor: `description`\
  Value Type: `string`
* **Technologies Used**\
  List of technologies used\
  Accessor: `technologies_used`\
  Value Type: `string`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Awards &#x26; Certifications</summary>

List of awards and certifications

Accessor: `awards_certifications`

**Subfields**

* **Name**\
  The name of the award or certification\
  Accessor: `name`\
  Value Type: `string`
* **Date Received**\
  The date the award or certification was received\
  Accessor: `date_received`\
  Value Type: `date`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Summary/Objective</summary>

The summary or objective statement

Accessor: `summary_objective`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Candidate Photo</summary>

The profile photo of the candidate.

Accessor: `candidate_photo`\
Value Type: `object_detection`

Has a single value.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/use-cases/extraction-models/resume.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
